Package com.verisign.epp.codec.emailFwd

## Class EPPEmailFwdTst

- java.lang.Object
- - com.verisign.epp.codec.emailFwd.EPPEmailFwdTst

-     public class EPPEmailFwdTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.emailFwd package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.emailFwd package concrete `EPPCommand`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5
  Change History: Modified test codes to accomdate the latest epp-emailFwd-05 protocol

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPEmailFwdTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `static void` | `setup()` | JUNIT `suite` static method, which returns the tests associated with `EPPEmailFwdTst`.
    `void` | `testEmailFwdCheck()` | Unit test of `EPPEmailFwdCheckCmd`.
    `void` | `testEmailFwdCreate()` | Unit test of `EPPEmailFwdCreateCmd`.
    `void` | `testEmailFwdDelete()` | Unit test of `EPPEmailFwdDeleteCmd`.
    `void` | `testEmailFwdInfo()` | Unit test of `EPPEmailFwdInfoCmd`.
    `void` | `testEmailFwdRenew()` | Unit test of `EPPEmailFwdRenewCmd`.
    `void` | `testEmailFwdTransfer()` | Unit test of `EPPEmailFwdTransferCmd`.
    `void` | `testEmailFwdUpate()` | Unit test of `EPPEmailFwdUpdateCmd`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPEmailFwdTst

          public EPPEmailFwdTst()

  - ### Method Detail

    - #### testEmailFwdInfo

          public void testEmailFwdInfo()

      Unit test of `EPPEmailFwdInfoCmd`. The response to `EPPEmailFwdInfoCmd` is `EPPEmailFwdInfoResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testEmailFwdCreate

          public void testEmailFwdCreate()

      Unit test of `EPPEmailFwdCreateCmd`. The response to `EPPEmailFwdCreateCmd` is `EPPEmailFwdCreateResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testEmailFwdDelete

          public void testEmailFwdDelete()

      Unit test of `EPPEmailFwdDeleteCmd`. The response to `EPPEmailFwdDeleteCmd` is `EPPEmailFwdCreateResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testEmailFwdRenew

          public void testEmailFwdRenew()

      Unit test of `EPPEmailFwdRenewCmd`. The response to `EPPEmailFwdRenewCmd` is `EPPEmailFwdRenewResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testEmailFwdUpate

          public void testEmailFwdUpate()

      Unit test of `EPPEmailFwdUpdateCmd`. The response to `EPPEmailFwdUpdateCmd` is `EPPResponse`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testEmailFwdTransfer

          public void testEmailFwdTransfer()

      Unit test of `EPPEmailFwdTransferCmd`. The response to `EPPEmailFwdTransferCmd` is `EPPEmailFwdTransferResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### setup

          public static void setup()

      JUNIT `suite` static method, which returns the tests associated with `EPPEmailFwdTst`.

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test

    - #### testEmailFwdCheck

          public void testEmailFwdCheck()

      Unit test of `EPPEmailFwdCheckCmd`. The response to `EPPEmailFwdCheckCmd` is `EPPEmailFwdCheckResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.